Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.syncpeer
Class StrutPeer

    java.lang.Object
      echopointng.ui.syncpeer.AbstractEchoPointPeer
          echopointng.ui.syncpeer.StrutPeer

All Implemented Interfaces:
  ComponentSynchronizePeer, DomUpdateSupport

    public class StrutPeer

extends AbstractEchoPointPeer

`StrutPeer` is the peer class for `Strut`

Field Summary

Fields inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`DEFAULT_CONTAINER_TAG, partialUpdateManager`

Constructor Summary
`StrutPeer()`

Method Summary
`void` | `renderHtml(RenderingContext rc, org.w3c.dom.Node parentNode, Component component)` This is the rendering method you must implement if you are to use `AbstractEchoPointPeer`.

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`disposeRenderState, getContainerId, renderAdd, renderDispose, renderHtml, renderReplaceableChild, renderUpdate, renderUpdateAddChildren, renderUpdateBaseImpl, renderUpdateRemoveChildren, retreiveRenderState, storeRenderState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutPeer

    public StrutPeer()

Method Detail

### renderHtml

    public void renderHtml(RenderingContext rc,
                           org.w3c.dom.Node parentNode,
                           Component component)

  Description copied from class: `AbstractEchoPointPeer`
  This is the rendering method you must implement if you are to use `AbstractEchoPointPeer`.

  Its a simpler wrapper for the standard one but provides some neato setup services that would otherwise be repeated over and over again.

  Note the use of RenderingContext object instead of the standard Echo RenderContext as this provides more rich code facilities.

  Specified by:
    `renderHtml` in class `AbstractEchoPointPeer`
  Parameters:
    `rc` - - the RenderingContext to use
    `parentNode` - - the parent Node to put content into
    `component` - - the component in question
  See Also:
    `AbstractEchoPointPeer.renderHtml(echopointng.ui.util.RenderingContext, org.w3c.dom.Node, nextapp.echo2.app.Component)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD